/*
Copyright (c) 2007,2007 Elizeu Nogueira da R. Jr.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, 
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, 
      this list of conditions and the following disclaimer in the documentation 
      and/or other materials provided with the distribution.
    * Neither the name of the Elizeu Nogueira da R. Jr. nor the names of its 
      contributors may be used to endorse or promote products derived from this 
      software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

package br.com.dreamsource.mobile.jmesql.io;

/**
 *
 * @author Elizeu Nogueira da Rosa Jr.
 * @version 0.1
 *
 */

import javax.microedition.rms.RecordEnumeration;
import javax.microedition.rms.RecordStore;
import br.com.dreamsource.mobile.jmesql.exceptions.SQLException;


public class File {
    
    private String fName;
    private RecordStore Store;
    
    public File(String name) {
        this.fName = name;
    }
    
    public boolean exists() {
        try {
            Store = RecordStore.openRecordStore(this.fName, false);
            return true;
        }
        catch (Exception e) {
            return false;
        }
    }
    
    public void renameTo(String name) throws SQLException {
        try {
            RecordEnumeration RE = Store.enumerateRecords(null, null, false);
            RecordStore Store2 = RecordStore.openRecordStore(name, true);
            while (RE.hasNextElement()) {
                byte[] buff = RE.nextRecord();
                Store2.addRecord(buff, 0, buff.length);
            }
            Store2.closeRecordStore();
            this.fName = name;
            Store.closeRecordStore();
            Store = RecordStore.openRecordStore(this.fName, false);
        }
        catch (Exception e) {
            throw new SQLException(e.getMessage());
        }
        
    }
    
    public void delete() throws SQLException {
        try {
            RecordStore.deleteRecordStore(this.fName);
        }
        catch (Exception e) {
            throw new SQLException(e.getMessage());
        }
    }
    
    public int length() throws SQLException {
        try {
            return Store.getSize();
        }
        catch (Exception e) {
            throw new SQLException(e.getMessage());
        }
    }
    
}
