/*
Copyright (c) 2007,2007 Elizeu Nogueira da R. Jr.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, 
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, 
      this list of conditions and the following disclaimer in the documentation 
      and/or other materials provided with the distribution.
    * Neither the name of the Elizeu Nogueira da R. Jr. nor the names of its 
      contributors may be used to endorse or promote products derived from this 
      software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


This package is based on HypersonicSQL, originally developed by Thomas Mueller.
and HSQLDB original developed by the HSQL Development Group
*/

package br.com.dreamsource.mobile.jmesql;

import br.com.dreamsource.mobile.jmesql.exceptions.SQLException;
import br.com.dreamsource.mobile.jmesql.io.Properties;
import java.io.*;

public class jdbcDriver {
    private final static String sStartURL = "jdbc:mesqldb:";
    final static int		MAJOR = 1, MINOR = 6;
    final static String		VERSION = MAJOR + "." + MINOR;
    final static String		PRODUCT = "BASED ON HSQL Database Engine";
    
    public jdbcConnection connect(Properties info) throws SQLException {
	//if (!acceptsURL("jdbc:mesqldb:")) {
	//    return null;
	//}
        String s = info.getProperty("database");
	String user = info.getProperty("user");
	if (user == null) {
	    user = "";
	}
	String password = info.getProperty("password");
	if (password == null) {
	    password = "";
	}
        
        jdbcConnection Con = new jdbcConnection(s, user, password);

	//return new jdbcConnection(s, user, password);
        return Con;
    }

    public boolean acceptsURL(String url) {
	if (Trace.TRACE) {
	    Trace.trace(url);
	}

	return url.startsWith(sStartURL);
    }

    public int getMajorVersion() {
	if (Trace.TRACE) {
	    Trace.trace();
	}

	return MAJOR;
    }

    public int getMinorVersion() {
	if (Trace.TRACE) {
	    Trace.trace();
	}

	return MINOR;
    }

    public boolean jdbcCompliant() {
	if (Trace.TRACE) {
	    Trace.trace();

	}

	return false;
    }

}
